%% Define the location of the files
ProjDir = pwd; % Edit this for appropriate file locations

%% Arduino Setup script
disp('Setting Arduino preferences');
arduino.Prefs.setArduinoPath([ProjDir,'\Arduino\IDE\arduino-0022']);
%arduino.Prefs.setBoard('mega'); % For Arduino Mega 1280
arduino.Prefs.setBoard('mega2560'); % For Arduino Mega 2560
try
    comPorts=arduino.Prefs.searchForComPort;
    arduino.Prefs.setComPort(comPorts{1});
catch
    disp('Failed to find/set com port for Arduino board');
    disp('Check if Arduino board is connected to computer');
end

%% Rebuild S-functions for local machine
disp('Building Arduino Library blocks');

cd ([ProjDir,'\Arduino\blocks\ADC_IMU']);
mex Arduino_ADCRead_sfcn.c

cd ([ProjDir,'\Arduino\blocks\Analog']);
mex sfunar_analogInput.c
mex sfunar_analogOutput.c

cd ([ProjDir,'\Arduino\blocks\Digital']);
mex sfunar_digitalInput.c
mex sfunar_digitalOutput.c

cd ([ProjDir,'\Arduino\blocks\EEPROM']);
mex Arduino_EEPROMRead_sfcn.c

cd ([ProjDir,'\Arduino\blocks\LCD']);
mex sfunar_lcdOutput.c

cd ([ProjDir,'\Arduino\blocks\RCChannels']);
mex Arduino_RCWrite_sfcn.c
mex Arduino_RCRead_sfcn.c

cd ([ProjDir,'\Arduino\blocks\Serial']);
mex sfunar_serialConfig.c
mex sfunar_serialRead.c
mex sfunar_serialWrite.c

cd ([ProjDir,'\Arduino\blocks\Servo']);
mex sfunar_servoOutput.c

%% Complete setup
cd (ProjDir);
disp('Arduino Setup complete');