%% Vehicle specification
% position specified for 3Apple Hill, Natick, MA
Latitude_IC  = 42.29974366926213; % Initial Latitude - degrees
Longitude_IC = -71.34970217943192; % Initial Longitude - degrees
Altitude_IC  = 0.1; % Initial Altitude above mean sea level - meters

InitialPositionEFE = lla2ecef([Latitude_IC, Longitude_IC, Altitude_IC], 'WGS84');

Phi_0   =  0.0*pi/180.0; % Initial Roll angle - radians
Theta_0 =  0.0*pi/180.0; % Initial Pitch angle - radians
Psi_0   =  0.0*pi/180.0; % Initial Yaw angle (Heading) - radians
IMU_Position_BCS = [0 0 0];

%% Mass properties
PropOffset = -1.0; % Offset of propellers from the CG in inches.  Negative value is above CG (-Z axis)

Lxx = 5505022.81;  %gm mm^2
Lxy = 67.26; %gm mm^2           Lyx
Lxz = 103.55;  %gm mm^2         Lzx
Lyx = 67.26; %gm mm^2           Lxy
Lyy = 5505022.28;  %gm mm^2
Lyz = 5.17;%gm mm^2             Lzy
% Lzx = 103.55;     %gm mm^2 
% Lzy = 5.17;  %gm mm^2
Lzz = 10512219.08;%gm mm^2

FrameMassSW = 0.391828; % Kg
FrameInertiaSW = [  Lxx,  Lxy, Lxz;...  
                    Lxy,  Lyy, Lyz;...
                    Lxz,  Lyz, Lzz]/(1000^3);% Kg m^2
TotalMass = 0.967; % Kg
% Scaling for total vehicle mass
TotalInertia = FrameInertiaSW*TotalMass/FrameMassSW; % Scale for mass ratio


%% Measured Data Conversion
% Convert measurements to appropriate units
ThrustCommand = [1160 1240  1339  1429  1528 1594  1660 1720 1796 ];
ThrustValue  = 0.00980665*[0     115   220   306   419  512   613  719  822 ]; % Newtons
TorqueCommand = [1160  1300  1389  1500   1600  1720  1824] ;
TorqueValue  = 0.00980665*0.3048*[0        10    20    35     42    58    63]; % Newton-meter


