% Some useful info:
modelName = 'SignalBuilderInputsModel';
load_system(modelName);
blockName = 'Signal Builder';
blockPath = [modelName,'/',blockName];

% Get the input commands from the logsout data:
RCStatusSignal = logsout.getElement('RCStatus');
RCStatus_TS = RCStatusSignal.Values;

InputCommands = logsout.getElement('Commands');
InputCmds_TS = InputCommands.Values;

rcdata = double(RCStatus_TS.Data');
cmddata = double(InputCmds_TS.Data');
cmdtime = double(InputCmds_TS.Time');
sigdata = {rcdata; cmddata(1,:);  cmddata(2,:); cmddata(3,:); cmddata(4,:); cmddata(5,:); cmddata(6,:)};

% Append a new group to the end.  Note that the name, "Replay" will
% automatically append a number to end of "Replay" if that group name
% already exists.  Pretty cool :-)
blockPath = signalbuilder(blockPath, 'appendgroup', cmdtime, sigdata, {'RCStatus'; 'Roll'; 'Pitch'; 'Throttle'; 'Yaw'; 'Aux'; 'Aux2'}, {'Replay'});

% Set the active group to the group we just added & open the block.
idx = signalbuilder(blockPath, 'activegroup');
signalbuilder(blockPath, 'activegroup',idx+1);
open_system(blockPath);
