%% SimulationStartupScript
% % cd([ProjDir, '/Simulation']);
% % CurrentDir = pwd;
% % cd ('./DataFiles');
load ('BusDefinitions');
PropMassProperties % Vehicle specification

% Define the controller to use
controller = 4;
JR6102 = Simulink.Variant('controller == 1 || controller == 2');
% JR6102_DickBenson = Simulink.Variant('controller == 1');
% JR6102_RichardRuff = Simulink.Variant('controller == 2');
Logitech3DProJoystick = Simulink.Variant('controller == 3');
SignalBuilderInputs = Simulink.Variant('controller == 4');
SpaceNavigator = Simulink.Variant('controller == 5');
ControllerCalibration

% Define the vehicle being used
% Vehicle == 0 -> First vehicle using ATMega1280
% Vehicle == 1 -> Second Vehicle using ATMega2560
% Vehicle == 2 -> Third Vehicle using ATMega2560
Vehicle = 0; 
ArduCopterData;    % FCS specifications
if (Vehicle == 0) % First test vehicle
    try
        arduino.Prefs.setBoard('mega');
    catch
        disp('No hardware');
    end
elseif (Vehicle == 1 || Vehicle == 2) % Second test vehicle
    try
        arduino.Prefs.setBoard('mega2560');
    catch
        disp('No hardware');
    end
else
    disp('Invalid Vehicle specified')
end   

% Define the visualization to use
Visualize=1;
Visualization_S3D = Simulink.Variant('Visualize == 1'); % Simulink 3D
Visualization_FG = Simulink.Variant('Visualize == 2');  % Flight Gear
Visualization_S3DIMAV = Simulink.Variant('Visualize == 3'); % Simulink 3D

% cd (CurrentDir);
open_system('HoverSimulation');

disp('Hover Simulation setup complete');